Skip to main content
GET
/
members
/
{user_id}
Get a member
curl --request GET \
  --url https://{tenantDomain}/my-org/v1/members/{user_id} \
  --header 'Authorization: Bearer <token>'
{
  "user_id": "auth0|123234235",
  "roles": [
    {
      "id": "rol_BKI0BKI0BKI0BKI0",
      "name": "role1"
    },
    {
      "id": "rol_BKW1BKIfBKd0BaI0",
      "name": "role2"
    }
  ],
  "email": "roadrunner@acme.com",
  "name": "roadrunner",
  "nickname": "beepbeep",
  "given_name": "Road",
  "family_name": "Runner",
  "updated_at": "2025-05-02T12:00:00Z",
  "created_at": "2025-05-01T12:00:00Z",
  "last_login": "2025-05-03T12:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

user_id
string
required

The user ID.

Pattern: ^(?=.{1,1024}$).+\|.+$

Query Parameters

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields.

Required string length: 1 - 255
include_fields
boolean
default:true

Whether specified fields are to be included (true) or excluded (false). Defaults to true

Response

Retrieve a member of the organization.

user_id
string
read-only

The user ID.

roles
object[]
read-only
created_at
string<date-time>
read-only

Date and time when this user was created (ISO_8601 format).

updated_at
string<date-time>
read-only

Date and time when this user was last updated (ISO_8601 format).

last_login
string<date-time>
read-only

Last date and time this user logged in (ISO_8601 format).

phone_number
string
read-only

Phone number associated with the user.

email
string

Email

name
string

Full Name

nickname
string

User nickname

given_name
string

First name

family_name
string

Last name